<?php

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

// Database connection
$mysql = new mysqli($host, $userid, $userpw, $db);

if ($mysql->connect_errno) {
    echo "db connection error: " . $mysql->connect_error;
    exit();
}

if (empty($_REQUEST['manufacturer_name']) || empty($_REQUEST['system_name']) || empty($_REQUEST['type_name'])) {
    echo "Error: One or more required values are missing. Please go back and select all required fields.";
    exit();
}

?>

<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>
        .container {
            width: 600px;
            margin: auto;
        }
        h1 {
            text-align: center;
            background-color: #900;
            color: #FC0;
            height: 60px;
            line-height: 60px;
        }
        .num-results {
            margin: 20px 10px;
        }
        table {
            margin: auto;
            margin-bottom: 20px;
            width: 80%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #900;
            padding: 10px;
            text-align: center;
        }
        img {
            width: 100px;
        }
        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>

<div class="container">
    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <div class="num-results"></div>

    <table>
        <tr>
            <th>Name</th>
            <th>Price</th>
            <th>Manufacturer</th>
            <th>System</th>
            <th>Type</th>
        </tr>

        <?php
        // Build dynamic SQL query using implicit join (comma-separated table listing)
        $sql = "SELECT device_id, name, price, manufacturer, system, type 
                FROM devices, manufacturers, systems, types 
                WHERE devices.manufacturer_id = manufacturers.manufacturer_id 
                AND devices.system_id = systems.system_id 
                AND devices.type_id = types.type_id";

        // Apply filters if specified in the request
        if ($_REQUEST['device_name']) {
            $sql .= " AND devices.name LIKE '%" . $_REQUEST['device_name'] . "%'";
        }
        if($_REQUEST['manufacturer_name'] != "all" ) {
            $sql .=		" AND manufacturers.manufacturer ='" . $_REQUEST["manufacturer_name"] . "'";
        }
        if($_REQUEST['system_name'] != "all" ) {
            $sql .=		" AND systems.system ='" . $_REQUEST["system_name"] . "'";
        }
        if($_REQUEST['type_name'] != "all" ) {
            $sql .=		" AND types.type ='" . $_REQUEST["type_name"] . "'";
        }





        $results = $mysql->query($sql);

        if (!$results) {
            echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
            echo "SQL Error: " . $mysql->error . "<hr>";
            exit();
        }

        // Display number of results
        echo "<div class='num-results'>Your search returned <strong>" . $results->num_rows . "</strong> result(s).</div>";

        // Fetch and display each result dynamically
        while ($row = $results->fetch_assoc()) {
            echo "<tr>";
            echo "<td><a href='details.php?id=" . $row["device_id"] . "'>" . $row["name"] . "</a></td>";
            echo "<td>" . $row["price"] . "</td>";
            echo "<td>" . $row["manufacturer"] . "</td>";
            echo "<td>" . $row["system"] . "</td>";
            echo "<td>" . $row["type"] . "</td>";
            echo "</tr>";
        }

        // Free result set and close connection
        $results->free();
        $mysql->close();
        ?>
    </table>
</div>

</body>
</html>